Page MenuHomePhabricator

Media Viewer and location map overlays
Closed, DeclinedPublic

Description

This might be complicated to solve and is wiki-specific, so I'm marking it as an enhancement for now.

The English Wikipedia uses a /lot/ of locator maps, which are built by templates that overlay data to build the image (ref: https://en.wikipedia.org/wiki/Template:Location_map%2B).

Media Viewer can't currently handle these image overlays properly, displaying only the "top" of the image (example: https://en.wikipedia.org/wiki/Template_talk:Geobox/test1).

If this can be fixed, that would be wonderful.


Version: unspecified
Severity: enhancement

Details

Reference
bz62572

Related Objects

Event Timeline

bzimport raised the priority of this task from to Needs Triage.
bzimport set Reference to bz62572.
bzimport added a subscriber: Unknown Object (MLST).
Keegan created this task.Mar 12 2014, 7:25 PM
Tgr added a comment.EditedMar 12 2014, 8:56 PM

I would say wait for T77269: Make it easy to modify which thumbnails are included in the viewer and the wontfix it. Full-screen overlay maps would not be terribly interesting, even if they were displayed properly; displaying them properly would mean showing two images on top of each other, which is a lot of work to do in a robust way (it took a long time to make the resizing, switching, preloading etc. of the image bug-free, now all that would have to be done again), and the whole thing would be very enwiki-specific, which is generally something to avoid.

If card #294 gets implemented (which is straightforward), site admins can just blacklist the overlay maps so that the lightbox does not open when clicking on them. That's a bit inconsistent UX-wise, but probably unavoidable, there are even more evil images (like the maps which display text and markers via absolute CSS positioning) which we definitely want to blacklist.

Gilles triaged this task as Low priority.Nov 24 2014, 2:48 PM
Gilles added a subscriber: Gilles.
Sn1per added a subscriber: Sn1per.Aug 11 2015, 12:57 AM
Restricted Application added subscribers: Matanya, Aklapper. · View Herald TranscriptAug 11 2015, 12:57 AM
Jdforrester-WMF moved this task from Untriaged to Backlog on the Multimedia board.Sep 4 2015, 6:11 PM

Mass-removing the Multimedia tag from MediaViewer tasks, as this is now being worked on by the Reading department, not Editing's Multimedia team.

Tgr closed this task as Declined.Mar 27 2017, 6:17 AM

Per above, I don't think this can realistically be supported. Such images should be migrated to Maps (Kartographer) instead.

TheDJ added a subscriber: TheDJ.Mar 27 2017, 9:58 PM

Templates generating such things, can output the class noviewer, to avoid a confusing situation.

Restricted Application added a project: Multimedia. · View Herald TranscriptMar 19 2018, 2:44 PM